<%
Option Explicit
Response.Buffer = true
%>
<!--#include file="config.jsp"-->
<%
Call SystemState
'修改系统配置请到config.jsp文件
'此以下设置数据库及外部用户表整合参数
Const is_sqldata=1
'是否使用其他系统的数据库用户表,1为使用，0为不使用
Const is_ot_user=1
Dim connstr,conn,db,dchr,delchr
Dim ot_connstr,ot_conn,ot_usertable,ot_username,ot_password,ot_regurl,ot_lostpasswordurl,ot_modIfypass1,ot_modIfypass2
Sub link_database()
	Dim userDB
	If is_sqldata=0 Then
		'access数据库连接参数
		'第一次使用请修改本处数据库地址并相应修改data目录中数据库名称
		'如将oblog3.mdb修改为oblog3.jsp
		'此处必须为以根目录开始,最前面必须为/号
		db =    "/data/初始数据.mdb"
		connstr = "Provider = Microsoft.Jet.OLEDB.4.0;Data Source = " & Server.MapPath(db)		
		dchr="#"
		delchr=" * "
	Else
		'sql数据库连接参数：数据库名、用户密码、用户名、连接名（本地用local，外地用IP）
		Dim sql_databasename,sql_password,sql_username,sql_localname
		sql_localname = "www.yclife.cn"
		sql_databasename = "0359"
		sql_username = "0359"
		sql_password = "0359"
		connstr = "Provider = Sqloledb; User ID = " & sql_username & "; Password = " & sql_password & "; Initial Catalog = " & sql_databasename & "; Data Source = " & sql_localname & ";"
		dchr="'"
		delchr=" "
	End If
	On Error Resume Next
	Set conn = Server.CreateObject("ADODB.Connection")	
	conn.open connstr

	rem ****若使用外部数据库表请自行修改下面的变量值****
	If is_ot_user=1 and instr(lcase(request.ServerVariables("HTTP_REFERER")),"admin_")=0 then 
		'ot_connstr= "Provider = Microsoft.Jet.OLEDB.4.0;Data Source = " & Server.MapPath("/bbs/data/dvbbs71.mdb") 'access外部数据库连接字符串
		ot_connstr = "Provider = Sqloledb; User ID =0359; Password =0359; Initial Catalog =0359; Data Source =www.yclife.cn;" 'sql外部数据库连接字符串
		Set ot_conn = Server.CreateObject("ADODB.Connection")
		ot_conn.open ot_connStr '外部数据库连接
		ot_usertable="LeadBBS_User" '用户表名
		ot_username="UserName" '用户名字段
		ot_password="Pass" '密码字段
		ot_regurl="../bbs/User/UserJoin.jsp" '注册用户链接
		ot_modIfypass1="../bbs/User/UserModify.jsp" '修改密码连接
		ot_modIfypass2="" '修改密码提示问题连接
		ot_lostpasswordurl="../bbs/User/UserGetPass.jsp" '找回密码链接
	End If
	If err then
		err.clear
		Set conn = nothing
		response.write "数据库连接出错，请检查连接字串。"
		response.End
	End If
End Sub
%>
<!--#include file="Inc/Inc_Functions.jsp"-->
